Add "edit-remove" icon symlink and add 22px version of "paint-none" and "edit-none"
ClosedPublic

Authored by GB_2 on Apr 20 2019, 6:39 PM.

Details

Summary

Add an alternative to list-remove, which needs to be next to list-add for context and edit-delete, which is a destructive deletion icon.
Symlink from edit-remove to paint-none.

Test Plan

Search for edit-remove in Cuttlefish.

Diff Detail

Repository
R266 Breeze Icons
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
GB_2 created this revision.Apr 20 2019, 6:39 PM
Restricted Application added a project: Frameworks. · View Herald TranscriptApr 20 2019, 6:39 PM
Restricted Application added a subscriber: kde-frameworks-devel. · View Herald Transcript
GB_2 requested review of this revision.Apr 20 2019, 6:39 PM
GB_2 edited the summary of this revision. (Show Details)Apr 20 2019, 6:40 PM
GB_2 added a comment.Apr 20 2019, 9:37 PM

Oops, forgot that paint-none already exists, which looks like this. I will just make a symlink then.

GB_2 updated this revision to Diff 56651.Apr 21 2019, 10:56 AM

Use symlinks: edit-remove -> paint-none

GB_2 retitled this revision from Add "edit-remove" icon to Add "edit-remove" icon symlink.Apr 21 2019, 10:56 AM
GB_2 edited the summary of this revision. (Show Details)Apr 21 2019, 10:59 AM
ndavis added a subscriber: ndavis.Apr 21 2019, 12:22 PM

Why does list-remove need an alternative?

GB_2 added a comment.Apr 21 2019, 12:35 PM

Why does list-remove need an alternative?

alternative to list-remove, which needs to be next to list-add for context

list-remove is just a minus icon, which has no context and looks weird when used alone, without list-add next to it. An example where the new icon can be used is D20576.

In D20700#453565, @GB_2 wrote:

list-remove is just a minus icon, which has no context and looks weird when used alone, without list-add next to it. An example where the new icon can be used is D20576.

We have a problem where we don't use consistent iconography for "remove". Sometimes it's a normal minus, sometimes it's a red minus, sometimes it's a red X and sometimes it's a red trash can (the line between "delete" and "remove" can be blurry). I think adding an edit-remove icon would likely cause more confusion, first for developers and then for users. I don't think using a minus without a plus is a problem, but perhaps the minus should be made red?

GB_2 added a comment.Apr 21 2019, 5:30 PM

We have a problem where we don't use consistent iconography for "remove". Sometimes it's a normal minus, sometimes it's a red minus, sometimes it's a red X and sometimes it's a red trash can (the line between "delete" and "remove" can be blurry). I think adding an edit-remove icon would likely cause more confusion, first for developers and then for users. I don't think using a minus without a plus is a problem, but perhaps the minus should be made red?

A trash can in a list like D20576 would look like you're deleting something entirely and a red minus would still have the context problem like I said. The GNOME HIG even has a rule for this (https://developer.gnome.org/hig/stable/icons-and-artwork.html):

  • Remember that some icons are only meaningful alongside other icons of the same type. For example, a media icon for stop is simply a square, and may not be identified as a stop icon without other media controls (like play, pause, or skip) being visible close by. Likewise, the icon to remove an item from a list is a subtract symbol (i.e. a single line), and will not be recognizable without a corresponding “plus” add icon.

Yeah, I think the current minus icon is similar in that it's only meaningful next to a plus sign. So if we had a user interface with conjoined or adjacent plus and minus buttons, using that icon would make sense. But for removing a specific list item, I think this "X-style" icon is better. The trash can icon has a connotation of "this thing will be destroyed" that only applies to some list item removals.

ndavis requested changes to this revision.Apr 22 2019, 6:44 AM

I'll accept this if you also make 22px versions.

This revision now requires changes to proceed.Apr 22 2019, 6:44 AM
GB_2 updated this revision to Diff 56707.Apr 22 2019, 8:51 AM

Add 22px version of paint-none and add symlink for it

GB_2 retitled this revision from Add "edit-remove" icon symlink to Add "edit-remove" icon symlink and add 22px version of "paint-none".Apr 22 2019, 8:51 AM
ndavis added a comment.EditedMon, Apr 22, 12:36 PM

The 22px version needs to have 1px thick lines and 3px margins on each side. An easy way to do that would be to just copy edit-none and use the node selector with guides to extend the ends of each line out. It would also be good to make the 16px version more like edit-none while you're at it.

GB_2 updated this revision to Diff 56747.Mon, Apr 22, 2:22 PM

Fix icons

ndavis added a comment.EditedTue, Apr 23, 10:00 AM

Sorry to keep putting you through more hoops. It needs to be more like center version in this SVG (basically edit-none, but red):

Notice how the lines appear to have a thickness more similar to the square outline above while the original version on the right appears to be thicker.

GB_2 updated this revision to Diff 56834.Tue, Apr 23, 4:30 PM

(Hopefully) fix icons and add 22px version of edit-none

GB_2 retitled this revision from Add "edit-remove" icon symlink and add 22px version of "paint-none" to Add "edit-remove" icon symlink and add 22px version of "paint-none" and "edit-none".Tue, Apr 23, 4:31 PM
GB_2 updated this revision to Diff 56835.Tue, Apr 23, 4:38 PM

Fix one 16px path point

ndavis accepted this revision.Tue, Apr 23, 5:03 PM

LGTM

This revision is now accepted and ready to land.Tue, Apr 23, 5:03 PM
This revision was automatically updated to reflect the committed changes.